Skip to main content
Authentication

Authenticate with the API

Request an API token for use with secured methods.

POST
/authenticate
Client-Idstringheaderrequired

Client Id for your Catch-e system

Maximum string length: 128
Pattern: ^[a-zA-Z0-9\-]*$

Body

application/x-www-form-urlencoded
2fa_codestring

(Optional) Catch-e two-factor authentication code

Maximum string length: 6
Pattern: ^[0-9]{6}$
passwordstringrequired

Catch-e password

Maximum string length: 64
Pattern: ^[a-zA-Z0-9\x21-\x2F\x3A-\x40\x5B-\x60\x7B-\x7E]+$
token_timeoutinteger

(Optional) Token timeout in seconds. If specified, the issued access token will expire after the specified number of seconds

Required range: 0 <= x <= 28800
usernamestringrequired

Catch-e username

Maximum string length: 200
Pattern: ^[a-zA-Z0-9\.\@\s\_\-]+$

Response

application/vnd.catch-e-api.v1+json

Success

access_tokenstring
Example: aaaaaa/bbbbbb.ccccccc.dddddd
expires_ininteger

Token expiry time in seconds

Required range: 0 <= x <= 999999
Example: 3600
token_typeenum<string>
Available options: bearer